This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014095 - Do sanity checks for dead letter and expiry address settings during server startup
Do sanity checks for dead letter and expiry address settings during server st...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Clebert Suconic
Miroslav Novak
:
Depends On:
Blocks: 1014103
  Show dependency treegraph
 
Reported: 2013-10-01 08:12 EDT by Martin Svehla
Modified: 2017-10-09 20:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Svehla 2013-10-01 08:12:52 EDT
HornetQ 2.3.8.Final

Right now, when user defines dead letter and/or expiry address in address-settings, HornetQ doesn't do any check whether these queues exist or not. User only gets WARN in log when some message hits max-delivery-attempts limit and HornetQ drops it because of non-existent dead letter/expiry destination.

While user can deploy dead letter/expiry queue later without server restart and HornetQ will start routing lost messages correctly, it would be nice to do a check during server start and log WARN message in case these addresses don't exist.

Note You need to log in before you can comment on or make changes to this bug.